Loading...
Searching...
No Matches
Dune::Functions::Concept::GlobalBasis< GridView > Struct Template Reference

`#include <dune/functions/functionspacebases/concepts.hh>`

## Public Member Functions

template<class B>

auto

require (const B &basis) -> decltype(requireType< typename B::GridView >(), requireType< typename B::size_type >(), requireType< typename B::MultiIndex >(), requireType< typename B::SizePrefix >(), requireType< typename B::LocalView >(), requireSameType< typename B::GridView, GridView >(), requireConvertible< typename B::GridView >(basis.gridView()), requireConvertible< typename B::LocalView >(basis.localView()), requireConvertible< typename B::size_type >(basis.size()), requireConvertible< typename B::size_type >(basis.size(std::declval< typename B::SizePrefix >())), requireConvertible< typename B::size_type >(basis.dimension()), requireSameType< decltype(const_cast< B & >(basis).update(basis.gridView())), void >(), requireConcept< LocalView< B > >(basis.localView()), requireConcept< ContainerDescriptor >(basis.containerDescriptor()))

## Member Function Documentation

## require()

template<class GridView>
template<class B>

auto Dune::Functions::Concept::GlobalBasis< GridView >::require

(

const B &

basis

)

->decltype(requireType< typenameB::GridView >(), requireType< typenameB::size_type >(), requireType< typenameB::MultiIndex >(), requireType< typenameB::SizePrefix >(), requireType< typenameB::LocalView >(), requireSameType< typenameB::GridView, GridView >(), requireConvertible< typenameB::GridView >(basis.gridView()), requireConvertible< typenameB::LocalView >(basis.localView()), requireConvertible< typenameB::size_type >(basis.size()), requireConvertible< typenameB::size_type >(basis.size(std::declval< typenameB::SizePrefix >())), requireConvertible< typenameB::size_type >(basis.dimension()), requireSameType< decltype(const_cast< B & >(basis).update(basis.gridView())), void >(), requireConcept< LocalView< B > >(basis.localView()), requireConcept< ContainerDescriptor >(basis.containerDescriptor()))

The documentation for this struct was generated from the following file:

- functionspacebases/concepts.hh